// Copyright 1999-2017. Parallels IP Holdings GmbH. All Rights Reserved.
import { createElement, Component, PropTypes } from "@plesk/ui-library";
import FormRow from "./FormRow";
const locale = Jsw.Locale.getSection('components.buttons');

class Form extends Component {
    componentDidMount() {
        this.refs.ok.addEventListener('click', () => {
            if (this.props.onOk) {
                this.props.onOk();
            }
        });
        this.refs.cancel.addEventListener('click', () => {
            if (this.props.onCancel) {
                this.props.onCancel();
            }
        });
    }

    render() {
        return (
            <form>
                <div className="form-box">
                    <div className="content">
                        <div className="content-area">{this.props.children}</div>
                    </div>
                </div>
                <div className="btns-box">
                    <div className="box-area">
                        <FormRow>
                            <span className="btn action">
                                <button type="button" ref="ok">{locale.lmsg('ok')}</button>
                            </span>
                            <span className="btn">
                                <button type="button" ref="cancel">{locale.lmsg('cancel')}</button>
                            </span>
                        </FormRow>
                    </div>
                </div>
            </form>
        );
    }
}

Form.propTypes = {
    onOk: PropTypes.func,
    onCancel: PropTypes.func
};

export default Form;
