// Copyright 1999-2017. Parallels IP Holdings GmbH. All Rights Reserved.
import { createElement } from '@plesk/ui-library';
import classNames from 'classnames';

const FormRow = ({name, hint, single, error, children}) => {
    children = [
        <div key="value" className="field-value">
            {children}
            {hint ? <div className="hint" dangerouslySetInnerHTML={{__html: hint}} /> : null}
        </div>
    ];

    if (name) {
        children.unshift(<div key="name" className="field-name">{name}</div>);
    }

    if (single) {
        children = <div className="single-row">{children}</div>;
    }

    return <div className={classNames('form-row', error && 'error')}>{children}</div>;
};

export default FormRow;
