// Copyright 1999-2017. Parallels IP Holdings GmbH. All Rights Reserved.
import { render, findDOMNode, createElement, cloneElement, isValidElement, Component, Children } from "@plesk/ui-library";
import Form from "./Form";

Jsw.DynamicPopupHint.updateContent = Jsw.DynamicPopupHint.updateContent.wrap(function (callOriginal, tooltip) {
    const content = tooltip.getContent();

    if (!isValidElement(content)) {
        return callOriginal(tooltip)
    }

    if (this._currentTooltip === tooltip) {
        render(content, document.getElementById(`${this.windowId}-content`));
    }
    this._updatePosition();
});

class InplaceEditor extends Component {
    componentDidMount() {
        const node = findDOMNode(this);
        const children = Children.map(this.props.children, child => cloneElement(child));

        new Jsw.DynamicPopupHint.Instance({
            title: this.props.title,
            target: node,
            placement: 'right',
            scrollable: false,
            content: (
                <Form
                    onOk={() => {
                        if (this.props.onChange) {
                            this.props.onChange();
                        }
                        Jsw.DynamicPopupHint.unset();
                    }}
                    onCancel={() => {
                        Jsw.DynamicPopupHint.unset();
                    }}
                >{children}</Form>
            )
        });
    }

    render() {
        return <a className="toggler">{this.props.value}</a>;
    }
}

export default InplaceEditor;
