// Copyright 1999-2017. Parallels IP Holdings GmbH. All Rights Reserved.
import { findDOMNode, createElement, Component } from '@plesk/ui-library';
import classNames from 'classnames';

class SmallButton extends Component {
    componentDidMount() {
        if (this.props.description) {
            Jsw.Tooltip.init(findDOMNode(this), {text: this.props.description})
        }
    }

    render() {
        const { className, onClick, children } = this.props;
        return (
            <a className={classNames('s-btn', className)} onClick={onClick}>
                <span>{children}</span>
            </a>
        );
    }
}

export default SmallButton;
