// Copyright 1999-2017. Parallels IP Holdings GmbH. All Rights Reserved.
import { createElement, Content } from "@plesk/ui-library";
import List from "../../components/List";
import SmallButton from "../../components/SmallButton";
const locale = Jsw.Locale.getSection('components.lists.handlers');

module.exports = ({ urls, data }) => {
    const columns = [{
        dataIndex: 'enabled',
        header: '',
        cls: 'icon',
        renderer: ({ enabled, path }) => {
            const url = `${urls[enabled === 'true' ? 'disable' : 'enable']}?path=${encodeURIComponent(path)}`;
            return `<a href="${url}" data-method="post"><i class="icon icon-${enabled === 'true' ? 'on' : 'off'}" /></a>`;
        },
    }, {
        dataIndex: 'version',
        header: locale.lmsg('version'),
        sortable: true,
    }, {
        dataIndex: 'path',
        header: locale.lmsg('path'),
        sortable: true,
    }, {
        dataIndex: 'domains',
        header: locale.lmsg('domains'),
        cls: 'number t-r',
        sortable: true,
    }];
    const operations = [(
        <SmallButton
            className="sb-refresh"
            description={locale.lmsg('refreshButtonDescription')}
            onClick={() => Jsw.redirectPost(urls.refresh)}
        >{locale.lmsg('refreshButton')}</SmallButton>
    )];

    return (
        <Content status={status}>
            <List columns={columns} operations={operations} dataUrl={urls.listData} data={data} />
        </Content>
    );
};
