<?php
// Copyright 1999-2017. Parallels IP Holdings GmbH. All Rights Reserved.

$messages = [
    'activeList' => [
        'button' => [
            'title' => 'Node.js',
            'description' => 'Manage Node.js for this website.',
            'enabled' => 'Node.js version: %%version%%',
        ],
        'service' => [
            'version' => 'Node.js version: %%version%%',
            'mode' => 'mode: %%mode%%',
            'restartButton' => 'Restart App',
        ],
    ],

    'controllers' => [
        'index' => [
            'list' => [
                'title' => 'Node.js Manager',
            ],
        ],
        'domain' => [
            'index' => [
                'title' => 'Node.js',
                'titleForObject' => 'Node.js on %%name%%',

                'noStartupFileHint' => 'Node.js is enabled on this domain. But the startup file %%file%% is not found.',

                'enableButton' => 'Enable Node.js',
                'enableButtonDescription' => 'Enable Node.js on this domain.',
                'restartButton' => 'Restart App',
                'restartButtonDescription' => 'Restart your Node.js application.',
                'npmInstallButton' => 'NPM install',
                'npmInstallButtonDescription' => 'Install the package(s) listed in the \'package.json\' file.',
                'runScriptButton' => 'Run script',
                'runScriptButtonDescription' => 'Run a command specified in the \'Scripts\' section of the \'package.json\' file.',
                'disableButton' => 'Disable Node.js',
                'disableButtonDescription' => 'Disable Node.js on this domain.',

                'version' => 'Node.js Version',
                'versionPopupTitle' => 'Node.js Version of this Application',
                'versionPopupDescription' => 'Select the version of Node.js for this application:',
                'environment' => 'Custom environment variables',
                'environmentEdit' => 'specify',
                'documentRoot' => 'Document Root',
                'documentRootNotInApplicationRootWarning' => 'Application will not work because document root is not a subchild of application root',
                'applicationMode' => 'Application Mode',
                'applicationModePopupTitle' => 'Application Mode',
                'applicationModePopupDescription' => 'Select the mode of the Node.js application:',
                'applicationUrl' => 'Application URL',
                'applicationPath' => 'Application Root',
                'applicationPathOpen' => 'open',
                'applicationStartupFileEdit' => 'edit',
                'applicationPathPopupTitle' => 'Application Root',
                'applicationPathPopupDescription' => 'Select the root of the Node.js application:',
                'applicationStartupFile' => 'Application Startup File',
                'applicationStartupFilePopupTitle' => 'Application Startup File',
                'applicationStartupFilePopupDescription' => 'Change the startup file of the Node.js application:',
                'applicationStartupFileNotExist' => 'The file does not exist',

                'configurationFilesTitle' => 'Access to Configuration Files',
                'configurationFilesDescription' => 'Click a file name to edit:',

                'documentRootPopupTitle' => 'Document Root',
                'documentRootPopupDescription' => 'Select the root directory of the website:',
                'rootDirectoryTitle' => 'Root directory',
                'pleaseWait' => 'Please wait...',
            ],
            'enable' => [
                'success' => 'Node.js was enabled on %%domain%%.',
            ],
            'restart' => [
                'success' => 'The restart.txt file was touched. Application will be restarted after the first request.',
            ],
            'disable' => [
                'success' => 'Node.js was disabled on %%domain%%.',
            ],
            'change-version' => [
                'success' => 'Node.js version was successfully updated.',
            ],
            'change-application-mode' => [
                'success' => 'Application mode was successfully updated.',
                'failed' => 'The application mode "%%value%%" is invalid.',
            ],
            'change-application-path' => [
                'success' => 'Application path was successfully updated.',
                'failed' => 'The path %%path%% is invalid.',
            ],
            'change-document-root' => [
                'success' => 'Document root was successfully updated.',
                'failed' => 'Unable to change document root: %%cause%%',
            ],
            'change-application-startup-file' => [
                'success' => 'Application startup file was successfully updated.',
                'failed' => 'The file name %%file%% is invalid.',
            ],
            'environment' => [
                'title' => 'Edit custom environment variables',
                'failed' => "The json-representation of personal environment variable '%%var%%' should not exceed 255 characters.",
                'success' => 'Custom environment variables were updated.',
            ],
            'npm-install' => [
                'success' => 'Node modules were successfully installed.',
            ],
            'run-script' => [
                'title' => 'Run NPM script'
            ]
        ],
    ],

    'permissions' => [
        'supportManagement' => 'Node.js support management',
        'supportManagementDescription' => 'Allow customers to use Node.js',
        'stateManagement' => 'Node.js state management',
        'stateManagementDescription' => 'Allow customers to change Node.js state',
        'versionManagement' => 'Node.js version management',
        'versionManagementDescription' => 'Allow customers to change Node.js version',
    ],

    'components' => [
        'buttons' => [
            'ok' => 'OK',
            'cancel' => 'Cancel',
        ],
        'forms' => [
            'environment' => [
                'variables' => 'Custom environment variables',
                'variableName' => 'Variable',
                'variableValue' => 'Value',
                'addButton' => 'Add variable',
                'removeButton' => 'Remove',
            ],
        ],
        'run-script-popup' => [
            'title' => 'Run script',
            'options' => 'Script name and parameters',
            'optionsDescription' => 'Examples:%%examples%%',
            'output' => 'Output',
            'run' => 'Run',
            'pleaseWait' => 'Please wait',
        ],
        'lists' => [
            'handlers' => [
                'refreshButton' => 'Refresh',
                'refreshButtonDescription' => 'Refresh the list of Node.js handlers',

                'version' => 'Version',
                'path' => 'Path',
                'domains' => 'Domains',
            ],
        ],
        'tasks' => [
            'npm-install' => [
                'title' => 'NPM install',
                'step-install-title' => 'Installing the application dependencies.',
            ],
        ],
    ],

    'api' => [
        'common' => [
            'permissionDenied' => 'Permission denied',
            'domainDoesNotHaveHosting' => 'The domain "%%domain%%" does not have physical hosting.',
            'commandNotFound' => 'The command "%%command%%" was not found.',
            'handlerNotFound' => 'The Node.js version "%%version%%" was not found.',
            'noHandlerOnDomain' => 'At least one Node.js version should be enabled for the domain.',
            'disabledOnDomain' => 'Node.js support is disabled on the domain.',
            'versionIsEmpty' => 'The version is empty.',
        ],
        'cli' => [
            'versions' => [
                'enabled' => 'Enabled',
                'version' => 'Version',
                'path' => 'Path',
                'empty' => 'No versions of Node.js found.',
            ],
            'enable' => [
                'success' => 'The Node.js version "%%version%%" was enabled.',
            ],
            'disable' => [
                'success' => 'The Node.js version "%%version%%" was disabled.',
            ],
            'enableOnDomain' => [
                'success' => 'Node.js on the domain "%%domain%%" was enabled.',
            ],
            'disableOnDomain' => [
                'success' => 'Node.js on the domain "%%domain%%" was disabled.',
            ],
            'setVersion' => [
                'success' => 'The Node.js version on the domain "%%domain%%" was changed to "%%version%%".',
            ],
        ],
    ],

    'cli' => [
        'commands' => [
            'versions' => 'Display the list of Node.js versions.',
            'enable' => 'Enable Node.js version or enable Node.js support on a domain.',
            'disable' => 'Disable Node.js version or disable Node.js support on a domain.',
            'set-version' => 'Set Node.js version on a domain.',
            'get-version' => 'Show Node.js version on a domain.',
        ],
        'options' => [
            'domain' => 'Domain name (use with the "enable", "disable", and "get-version" commands).',
            'version' => 'Node.js version (use with the "enable", "disable", and "set-version" commands).',
        ],
    ],
];

